Subject: Re: [RFC PATCH net-next 0/2] Configuring PFC stall prevention via ethtool

From: Andrew Lunn <[email-masked]>
Date: Thu, 16 Nov 2017 03:44:29 +0100

> What do other vendors support? Time? Number of pause frames sent?

So i checked a few Marvell Switches. You can also specify a time. It
is a little bit more complex than that, since the units of time depend
on the link speed. But converting a time in ms to what the register
wants is possible.

So i'm thinking rather than a poorly defined 'Auto', passing a time
would be better.

      Andrew